---
title: MediaDeviceInfo.kind
slug: Web/API/MediaDeviceInfo/kind
tags:
  - API
  - Experimental
  - Media
  - MediaDevicesInfo
  - Property
  - kind
---
<p>{{SeeCompatTable}}{{APIRef("Media Capture")}}</p>

<p><span class="seoSummary">The <strong><code>kind</code></strong> readonly property of the {{domxref("MediaDeviceInfo")}} interface returns an enumerated value, that is either "videoinput", "audioinput" or "audiooutput".</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var kind = MediaDeviceInfo.kind</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture','#dom-mediadeviceinfo-kind','kind')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaDeviceInfo.kind")}}</p>
</div>
